From b44582777bbcf680093955b874867b88783353a9 Mon Sep 17 00:00:00 2001
From: David Baker <dave@matrix.org>
Date: Wed, 2 May 2018 11:03:40 +0100
Subject: [PATCH] Would if I added the script

---
 scripts/fetchdep.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100755 scripts/fetchdep.sh

diff --git a/scripts/fetchdep.sh b/scripts/fetchdep.sh
new file mode 100755
index 0000000000..424a8b034c
--- /dev/null
+++ b/scripts/fetchdep.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+org="$1"
+repo="$2"
+
+curbranch="${TRAVIS_PULL_REQUEST_BRANCH:-$TRAVIS_BRANCH}"
+echo "Determined branch to be $curbranch"
+
+git clone https://github.com/$org/$repo.git $repo --branch "$curbranch" || git clone https://github.com/$org/$repo.git $repo --branch develop
+